# PSF-LoginServer - master - net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.ArmorWithAmmoPage
PSF - LoginServer - master - net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.ArmorWithAmmoPage
Keywords: PSF LoginServer master net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.ArmorWithAmmoPage

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  object OrderTerminalDefinition
  Definition Classes
    terminals
- ArmorPage
- ArmorWithAmmoPage
- CertificationPage
- EquipmentPage
- ImplantPage
- InfantryLoadoutPage
- LoadoutTab
- Tab
- VehicleLoadoutPage
- VehiclePage

c

net.psforever.objects.serverobject.terminals.OrderTerminalDefinition

# ArmorWithAmmoPage

###

#### final case class ArmorWithAmmoPage(stock: Map[String, (types.ExoSuitType.Value, Int)], items: Map[String, () => Equipment]) extends Tab with Product with Serializable

An expanded form of the tab used to select an exo-suit to be worn by the player that also provides some equipment.

stock

  the key is always a `String` value as defined from `ItemTransationMessage` data; the value is a tuple composed of an `ExoSuitType` value and a subtype value

items

  the key is always a `String` value as defined from `ItemTransationMessage` data; the value is a curried function that produces an `Equipment` object

Source
  OrderTerminalDefinition.scala
See also

  `ExoSuitType`

  `Equipment`

Linear Supertypes
Serializable, Product, Equals, Tab, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ArmorWithAmmoPage
2. Serializable
3. Product
4. Equals
5. Tab
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ArmorWithAmmoPage(stock: Map[String, (types.ExoSuitType.Value, Int)], items: Map[String, () => Equipment])

   stock

     the key is always a `String` value as defined from `ItemTransationMessage` data; the value is a tuple composed of an `ExoSuitType` value and a subtype value

   items

     the key is always a `String` value as defined from `ItemTransationMessage` data; the value is a curried function that produces an `Equipment` object

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Buy(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     ArmorWithAmmoPage → Tab
5.  def Dispatch(sender: ActorRef, terminal: Terminal, msg: TerminalMessage): Unit
   Definition Classes
     ArmorWithAmmoPage → Tab
6.  def Sell(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     Tab
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val items: Map[String, () => Equipment]
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val stock: Map[String, (types.ExoSuitType.Value, Int)]
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Tab

### Inherited from AnyRef

### Inherited from Any

### Ungrouped